version: "3.7"
services:
  dev:
    user: dev
    build:
      context: .
      dockerfile: Dockerfile
      args:
        GIT_EMAIL: ${GIT_EMAIL-}
        GIT_SIGNINGKEY: ${GIT_SIGNINGKEY-}
    volumes:
      - ../:/workspace:cached
      - /var/run/docker.sock:/var/run/docker.sock
      - vscode_extension:/home/dev/.vscode-server/extensions
      - vscode_insider_extension:/home/dev/.vscode-server-insiders/extensions
    cap_add:
      - SYS_PTRACE
    security_opt:
      - seccomp:unconfined
    command: sleep infinity

volumes:
  vscode_extension:
  vscode_insider_extension:
